CVE-2016-7909

NameCVE-2016-7909
DescriptionThe pcnet_rdra_addr function in hw/net/pcnet.c in QEMU (aka Quick Emulator) allows local guest OS administrators to cause a denial of service (infinite loop and QEMU process crash) by setting the (1) receive or (2) transmit descriptor ring length to 0.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-1599-1, DLA-689-1, DLA-698-1
Debian Bugs839834

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
qemu (PTS)jessie, jessie (lts)1:2.1+dfsg-12+deb8u23fixed
stretch (security)1:2.8+dfsg-6+deb9u17fixed
stretch (lts), stretch1:2.8+dfsg-6+deb9u19fixed
buster (security), buster, buster (lts)1:3.1+dfsg-8+deb10u12fixed
bullseye1:5.2+dfsg-11+deb11u3fixed
bullseye (security)1:5.2+dfsg-11+deb11u2fixed
bookworm1:7.2+dfsg-7+deb12u6fixed
trixie1:8.2.4+ds-1fixed
sid1:9.0.2+ds-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
qemusourcewheezy1.1.2+dfsg-6+deb7u18DLA-698-1
qemusourcejessie1:2.1+dfsg-12+deb8u8DLA-1599-1
qemusource(unstable)1:2.8+dfsg-1839834
qemu-kvmsourcewheezy1.1.2+dfsg-6+deb7u18DLA-689-1
qemu-kvmsource(unstable)(unfixed)

Notes

https://lists.gnu.org/archive/html/qemu-devel/2016-09/msg07942.html

Search for package or bug name: Reporting problems